Temp Projects - Tasks #5859

Unable to edit PO GF191226
03/09/2022 02:24 PM - Rijas P

Status: Closed Start date: 03/09/2022
Priority: Immediate Due date:

Assignee: Noufal K % Done: 60%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

View PO-->Search Order no GF191226--> Click on Edit--> Give comment & OK
Expected result: The PO screen will be opened with pending order items

Actual result: Screen is loading and going back to the same view PO screen.

History

#1 - 03/10/2022 02:07 PM - Mohamed Suhail
- Status changed from New to In Progress
- Assignee changed from Mohamed Suhail to Noufal K

- % Done changed from 0 to 30

Rijas P wrote:
View PO-->Search Order no GF191226--> Click on Edit--> Give comment & OK
Expected result: The PO screen will be opened with pending order items

Actual result: Screen is loading and going back to the same view PO screen.

Error on server log is as below

java.lang.lllegalArgumentException: QtyEntered is mandatory.

at org.compiere.model.PO.set_Value(PO.java:789)

at org.compiere.model.PO.set_Value(PO.java:738)

at org.compiere.model.X_C_OrderLine.setQtyEntered(X_C_OrderLine.java:1072)

at org.compiere.model.MOrderLine.setQtyEntered(MOrderLine.java:828)

at org.posterita.businesslogic.POSManager.closeAndCreateNewOrderForPendingLines(POSManager.java:9884)
at org.posterita.struts.pos.PurchaseOrderAction.editOrders(PurchaseOrderAction.java:4209)
at sun.reflect.NativeMethodAccessorlmpl.invokeO(Native Method)

at sun.reflect.NativeMethodAccessorlmpl.invoke(NativeMethodAccessorimpl.java:62)

at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorlmpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:4

#2 - 03/10/2022 02:36 PM - Noufal K

- Assignee changed from Noufal K to Mohamed Suhail

Can we update the euro test with the latest retail version and check whether the issue exists?

#3 - 03/11/2022 08:36 AM - Mohamed Suhail

Noufal K wrote:

Can we update the euro test with the latest retail version and check whether the issue exists?

Noufal K | have tried the same in my local and found the issue with Euro DB
It seems related to uom conversion when some of the items are partially received

#4 - 03/11/2022 10:20 AM - Noufal K

Please create buzilla with proper test cases.
#5 - 03/11/2022 10:55 AM - Mohamed Subhail
Noufal K wrote:

Please create buzilla with proper test cases.

It's better to try with euro db if possible as it is not easy to replicate the case

#6 - 03/14/2022 11:39 AM - Rijas P

Please let us know what is the current solution to edit this PO. because, we have to make changes in this PO immediately.

#7 - 03/14/2022 12:22 PM - Mohamed Suhail

Mohamed Suhail wrote:
Noufal K wrote:

Please create buzilla with proper test cases.
It's better to try with euro db if possible as it is not easy to replicate the case

Bugzilla created - http://bugzilla.posibolt.com/show_bug.cqi?id=8302

#8 - 03/14/2022 12:22 PM - Mohamed Suhail

- Assignee changed from Mohamed Suhail to Noufal K

Rijas P wrote:
View PO-->Search Order no GF191226--> Click on Edit--> Give comment & OK
Expected result: The PO screen will be opened with pending order items

Actual result: Screen is loading and going back to the same view PO screen.

#9 - 03/16/2022 09:31 PM - Mohamed Suhail
- File Posibolt (26).png added
- % Done changed from 30 to 60
Mohamed Suhail wrote:
Rijas P wrote:
View PO-->Search Order no GF191226--> Click on Edit--> Give comment & OK
Expected result: The PO screen will be opened with pending order items

Actual result: Screen is loading and going back to the same view PO screen.

Rijas,
The issue happened because some of the items ordered uom conversion is made inactive on the system
For example: EU21705 (PFA)

There exist a few other items also and one other order
See details below

orderno | product | uomsymbol | dividerate | gtyentered | gtyordered | gtydelivered | gtyreserved | gtyinvoi
ced
GF191226 | EU21705 | Ctn | 36 | 25.00 | 900 | 864 | 36 |
864
GF191226 | EU21706 | Ctn | 24 | 25.00 | 600 | 576 | 24 |
576

GF191226 | EU21727 | Ctn 36 15.00 540 504 36 |
504

RM20210729 | PP2472 | Ctn 480 11.00 5280 5760 -480 |
5760

RM20210729 | PP2476 | Ctn 120 18.00 2160 1920 240 |
1920

RM20210729 | PP2484 | Ctn 120 18.00 2160 1920 240 |
1920

RM20210729 | PP2494 | Ctn 480 11.00 5280 5760 -480 |
5760

RM20210729 | PP2498 | Ctn 120 18.00 2160 1920 240 |
1920

RM20210729 | PP2506 | Ctn 120 18.00 2160 1920 240 |
1920

RM20210729 | PP2516 | Ctn 480 11.00 5280 5760 -480 |
5760

RM20210729 | PP2538 | Ctn 480 11.00 5280 5629 -349 |
5629

RM20210729 | PP2542 | Ctn 120 18.00 2160 1960 200 |
1960

RM20210729 | PP2550 | Ctn 120 18.00 2160 1920 240 |
1920

RM20210729 | PP2560 | Ctn 480 11.00 5280 5760 -480 |
5760

(14 rows)

#10 - 03/26/2022 05:48 PM - Rijas P

- Status changed from In Progress to Closed

Ok, | have activated the Uom conversion and edited the PO.

#11 - 05/21/2024 04:07 PM - SHAIJAL EDAVANA

- Tracker changed from Bug to Tasks

- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)
